# libmikmod rpm specification file
%define version	3.1.6
%define release	3
%define lversion 3.1.7

Summary: A MOD music file player.
Name:		mikmod
Version:	%version
Release:	%release
Copyright:	LGPL
Group: Applications/Multimedia
URL:		http://www.multimania.com/miodrag/mikmod/index.html
PreReq:		/sbin/install-info
Prefix:		/usr
Buildroot:	/var/tmp/mikmod-%{PACKAGE_VERSION}

Source0: mikmod-%{PACKAGE_VERSION}.tar.gz

Source1: libmikmod-%{lversion}.tar.gz
Patch1:  patch-libmikmod-3.1.7-a
Patch2:  patch-libmikmod-3.1.7-b
Patch3:  patch-libmikmod-3.1.7-c
Patch4:  patch-libmikmod-3.1.7-d
Patch5:  patch-mikmod-3.1.6-a

Obsoletes: tracker
Requires: ncurses

%description
MikMod is one of the best and most well known MOD music file players for 
UNIX-like systems.  This particular distribution is intended to compile
fairly painlessly in a Linux environment. MikMod uses the OSS /dev/dsp
driver including all recent kernels for output, and will also write .wav
files. Supported file formats include MOD, STM, S3M, MTM, XM, ULT, and IT.
The player uses ncurses for console output and supports transparent
loading from gzip/pkzip/zoo archives and the loading/saving of playlists.

Install the mikmod package if you need a MOD music file player.

%prep
%setup -q -a 1 
cd libmikmod-%{lversion}
%patch1 -p1 -b .orig
%patch2 -p1 -b .orig
%patch3 -p1 -b .orig
%patch4 -p1 -b .orig
cd ..
%patch5 -p1 -b .orig

%build
rm -rf $RPM_BUILD_ROOT
cd libmikmod-%{lversion}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make
make install prefix=$RPM_BUILD_ROOT/%{prefix}
cd ..

env LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/lib CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} \
	--with-libmikmod-prefix=$RPM_BUILD_ROOT/usr
make

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} install

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/install-info %{prefix}/info/mikmod.info %{prefix}/info/dir
/sbin/ldconfig

%postun 
if [ $1 = 0 ] ; then
	/sbin/install-info  --delete %{prefix}/info/mikmod.info %{prefix}/info/dir
fi
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL NEWS README
%{prefix}/bin/*
%{prefix}/man/man1/*
%{prefix}/info/mikmod*
%{prefix}/lib/*
%{prefix}/share/aclocal/*
%{prefix}/include/*
%doc libmikmod-%{version}/PROBLEMS libmikmod-%{version}/TODO 

%changelog
* Mon Aug  2 1999 Bill Nottingham <notting@redhat.com>
- add more patches

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 3.1.6/3.1.7

* Mon Mar 22 1999 Cristian Gafton <gafton@redhat.com>
- fixed spec file description and group according to sepcspo

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- changed spec file, updated package
- added libmikmod to the package

* Mon Feb 15 1999 Miodrag Vallat <miodrag@multimania.com>
- Created for 3.1.5

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- changed group
- fixed bug #145

* Fri Sep 04 1998 Michael Maher <mike@redhat.com>
- added patch for alpha

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- built package; obsoletes the ancient tracker program.

